    All Packages  Class Hierarchy  This Package  Previous  Next  Index

# Class java.io.LineNumberReader

    java.lang.Object
       |
       +----java.io.Reader
               |
               +----java.io.BufferedReader
                       |
                       +----java.io.LineNumberReader

public class LineNumberReader
extends BufferedReader

A buffered character-input stream that keeps track of line numbers. A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

##

LineNumberReader(Reader)
  Create a new line-numbering reader, using the default input-buffer size.
LineNumberReader(Reader, int)
  Create a new line-numbering reader, reading characters into a buffer of the given size.

##

getLineNumber()
  Get the current line number.
mark(int)
  Mark the present position in the stream.
read()
  Read a single character.
read(char[], int, int)
  Read characters into a portion of an array.
readLine()
  Read a line of text.
reset()
  Reset the stream to the most recent mark.
setLineNumber(int)
  Set the current line number.
skip(long)
  Skip characters.

##

LineNumberReader

     public LineNumberReader(Reader in)

  Create a new line-numbering reader, using the default input-buffer size.

LineNumberReader

     public LineNumberReader(Reader in,
                             int sz)

  Create a new line-numbering reader, reading characters into a buffer of the given size.

##

setLineNumber

     public void setLineNumber(int lineNumber)

  Set the current line number.

getLineNumber

     public int getLineNumber()

  Get the current line number.

read

     public int read() throws IOException

  Read a single character. Line terminators are compressed into single newline ('\n') characters.

  Returns:
    The character read, or -1 if the end of the stream has been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class BufferedReader

read

     public int read(char cbuf[],
                     int off,
                     int len) throws IOException

  Read characters into a portion of an array.

  Parameters:
    cbuf - Destination buffer
    off - Offset at which to start storing characters
    len - Maximum number of characters to read
  Returns:
    The number of bytes read, or -1 if the end of the stream has already been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    read in class BufferedReader

readLine

     public String readLine() throws IOException

  Read a line of text. A line is considered to be terminated by any one of a line feed ('\n'), a carriage return ('\r'), or a carriage return followed immediately by a linefeed.

  Returns:
    A String containing the contents of the line, not including any line-termination characters, or null if the end of the stream has been reached
  Throws: IOException
    If an I/O error occurs
  Overrides:
    readLine in class BufferedReader

skip

     public long skip(long n) throws IOException

  Skip characters.

  Parameters:
    n - The number of characters to skip
  Returns:
    The number of characters actually skipped
  Throws: IOException
    If an I/O error occurs
  Overrides:
    skip in class BufferedReader

mark

     public void mark(int readAheadLimit) throws IOException

  Mark the present position in the stream. Subsequent calls to reset() will attempt to reposition the stream to this point, and will also reset the line number appropriately.

  Parameters:
    readAheadLimit - Limit on the number of characters that may be read while still preserving the mark. After reading this many characters, attempting to reset the stream may fail.
  Throws: IOException
    If an I/O error occurs
  Overrides:
    mark in class BufferedReader

reset

     public void reset() throws IOException

  Reset the stream to the most recent mark.

  Throws: IOException
    If the stream has not been marked, or if the mark has been invalidated
  Overrides:
    reset in class BufferedReader

    All Packages  Class Hierarchy  This Package  Previous  Next  Index

Submit a bug or feature - Version 1.1.8 of Java Platform API Specification
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1995-1999 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.